ParallelModel Core API
Blob
|
Improve this Doc
View Source
POST_api_model__modelId__shared_blob_upload
Request
POST /api/model/{modelId}/shared/blob/upload
Parameters
| Name |
Type |
Default |
Notes |
| *modelId |
|
|
|
| *File |
|
|
|
| *Name |
|
|
|
| Description |
|
|
|
| *RecordType |
|
|
|
| *AccessTier |
|
|
|
| Tags |
|
|
|
Responses
| Status Code |
Type |
Description |
Samples |
| 200 |
|
OK
|
|
|
Improve this Doc
View Source
GET_api_model__modelId__shared_blob__blobId__download
Request
GET /api/model/{modelId}/shared/blob/{blobId}/download
Parameters
| Name |
Type |
Default |
Notes |
| *modelId |
|
|
|
| *blobId |
|
|
|
Responses
| Status Code |
Type |
Description |
Samples |
| 200 |
|
OK
|
|
|
Improve this Doc
View Source
PUT_api_model__modelId__shared_blob__blobId__update
Request
PUT /api/model/{modelId}/shared/blob/{blobId}/update
Parameters
| Name |
Type |
Default |
Notes |
| *modelId |
|
|
|
| *blobId |
|
|
|
| *File |
|
|
|
| *Name |
|
|
|
| Description |
|
|
|
| *RecordType |
|
|
|
| *AccessTier |
|
|
|
| Tags |
|
|
|
Responses
| Status Code |
Type |
Description |
Samples |
| 200 |
|
OK
|
|
|
Improve this Doc
View Source
DELETE_api_model__modelId__shared_blob__blobId__delete
Request
DELETE /api/model/{modelId}/shared/blob/{blobId}/delete
Parameters
| Name |
Type |
Default |
Notes |
| *modelId |
|
|
|
| *blobId |
|
|
|
Responses
| Status Code |
Type |
Description |
Samples |
| 200 |
|
OK
|
|
Health
Provides endpoints for checking API availability.
|
Improve this Doc
View Source
GET_api_shared_health
Checks whether the API is responding.
Request
Responses
| Status Code |
Type |
Description |
Samples |
| 200 |
|
The API is responding.
|
|
| 401 |
ProblemDetails
|
Authentication is required.
|
|
Job
|
Improve this Doc
View Source
POST_api_job_send
Request
Parameters
Responses
| Status Code |
Type |
Description |
Samples |
| 200 |
|
OK
|
|
|
Improve this Doc
View Source
GET_api_job__id__get
Request
GET /api/job/{id}/get[?limit]
Parameters
| Name |
Type |
Default |
Notes |
| *id |
|
|
|
| limit |
|
1000 |
|
|
Improve this Doc
View Source
GET_api_job__id__logs
Request
GET /api/job/{id}/logs[?limit]
Parameters
| Name |
Type |
Default |
Notes |
| *id |
|
|
|
| limit |
|
1000 |
|
Responses
| Status Code |
Type |
Description |
Samples |
| 200 |
|
OK
|
|
|
Improve this Doc
View Source
GET_api_job__id__result
Request
Parameters
| Name |
Type |
Default |
Notes |
| *id |
|
|
|
Responses
| Status Code |
Type |
Description |
Samples |
| 200 |
|
OK
|
|
Preprocessing
|
Improve this Doc
View Source
POST_api_ml_preprocessing_job_send
Request
POST /api/ml/preprocessing/job/send
Parameters
Responses
| Status Code |
Type |
Description |
Samples |
| 200 |
|
OK
|
|
|
Improve this Doc
View Source
GET_api_ml_preprocessing_job__id__get
Request
GET /api/ml/preprocessing/job/{id}/get
Parameters
| Name |
Type |
Default |
Notes |
| *id |
|
|
|
|
Improve this Doc
View Source
GET_api_ml_preprocessing_job__id__logs
Request
GET /api/ml/preprocessing/job/{id}/logs
Parameters
| Name |
Type |
Default |
Notes |
| *id |
|
|
|
Responses
| Status Code |
Type |
Description |
Samples |
| 200 |
|
OK
|
|
|
Improve this Doc
View Source
GET_api_ml_preprocessing_job__id__result
Request
GET /api/ml/preprocessing/job/{id}/result
Parameters
| Name |
Type |
Default |
Notes |
| *id |
|
|
|
Responses
| Status Code |
Type |
Description |
Samples |
| 200 |
|
OK
|
|
Definitions
ProblemDetails
| Name |
Type |
Notes |
| type |
string
|
|
| title |
string
|
|
| status |
integer
(int32)
|
|
| detail |
string
|
|
| instance |
string
|
|
SendJobRequest
| Name |
Type |
Notes |
| job_id |
string
(uuid)
|
|
| model_id |
string
(uuid)
|
|
| job_type |
string
|
|
| payload |
|
|
JobExecutionLogMessage
JobExecutionLogDetails
JobExecutionLogContainer
| Name |
Type |
Notes |
| hostname |
string
|
|
| replicaName |
string
|
|
| processId |
integer
(int32)
|
|
CreatePreprocessingRequest
| Name |
Type |
Notes |
| model_id |
string
(uuid)
|
|
| input_blob_id |
string
(uuid)
|
|
| input_encryption_key |
string
|
|
| preprocessing_type |
PreprocessingType
|
|
| preprocessing_params |
|
|
| feature_columns |
array
|
|
| request_timeout_seconds |
integer
(int32)
|
|
| output |
PreprocessingOutputRequest[]
|
|
PreprocessingType
Enum Values
Binarizer
MaxAbsScaler
MinMaxScaler
Normalizer
PowerTransformer
QuantileTransformer
RobustScaler
StandardScaler
PreprocessingOutputRequest
| Name |
Type |
Notes |
| name |
string
|
|
| description |
string
|
|
| record_type |
string
|
|
| access_tier |
string
|
|
| tags |
array
|
|
| encryption_key |
string
|
|